// ignore: must_be_immutable
import 'package:doctor_app_flutter/config/size_config.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class Label extends StatelessWidget {
  Label({
    Key? key,
    this.firstLine,
    this.secondLine,
    this.color = const Color(0xFF2E303A),
    this.secondLineFontSize,
    this.firstLineFontSize,
  }) : super(key: key);
  final String? firstLine;
  final String? secondLine;
  Color color;
  final double? secondLineFontSize;
  final double? firstLineFontSize;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        AppText(
          firstLine!,
          fontSize: firstLineFontSize ??
              SizeConfig.getTextMultiplierBasedOnWidth() *
                  (SizeConfig.isWidthLarge ? 2 : 3),
          // fontWeight: FontWeight.bold,
          color: color,
          fontHeight: .5,
          letterSpacing: -0.72,
          fontWeight: FontWeight.w600,
        ),
        AppText(
          secondLine!,
          color: color,
          fontSize: secondLineFontSize ??
              SizeConfig.getTextMultiplierBasedOnWidth() *
                  (SizeConfig.isWidthLarge ? 4 : 6.40),
          fontWeight: FontWeight.bold,
          letterSpacing: -1.44,
        ),
      ],
    );
  }
}
